//
//  TitleEditViewController.swift
//  BooksStoryboard
//
//  Created by Holger Hinzberg on 12.05.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class TitleEditViewController: UIViewController, TitleChangingProtocol
{
    @IBOutlet var titleTextField: UITextField!
    var bookTitle:String?
    // Eine Eigenschaft für einen Verweis auf
    // eine beliebige Klasse die das 
    // TitleDidChangeProtocol implementiert
    weak var parentController:TitleDidChangeProtocol?
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
    }
    
    override func viewWillAppear(animated: Bool)
    {
        super.viewWillAppear(animated)
        self.titleTextField.text = bookTitle
    }

    override func didReceiveMemoryWarning()
    {
        super.didReceiveMemoryWarning()
    }
    
    @IBAction func submitButtonTouched(sender: AnyObject)
    {
        // Den aktuellen Buchtitel aus dem Textfeld holen
        var newTitle = self.titleTextField.text
        
        // Den Titel über eine Methode an den 
        // Eltern-View-Controller übergeben
        self.parentController?.titleDidChange(newTitle);
    }
    
 }
